MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026433Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-14 17:062016-04-20 15:50
Reporterduv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026433: AIS_Dimension may attempt to modify the state of default Drawer shading aspect
DescriptionIn Advanced Visualization Demo AIS_Dimension objects were disabling OpenGL lighting for the rest of the scene.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0043013)
git (administrator)
2015-07-14 17:42

Branch CR26433 has been created by duv.

SHA-1: 954bf3bf9b56282c270b75cea34ca42fc168ffec


Detailed log of new commits:

Author: duv
Date: Tue Jul 14 17:42:27 2015 +0300

    0026433: AIS_Dimension may attempt to modify the state of default Drawer shading aspect
(0043018)
san (developer)
2015-07-14 19:36

Please, move the block
if (!myDrawer->HasOwnShadingAspect())
{
  ...
}

inside the block
// draw text
if (myDrawer->DimensionAspect()->IsTextShaded())
{
  ...
}

i.e. at the location where myDrawer->ShadingAspect() is actually modified. Else there is no visible logical connection between the two blocks, and the newly added one looks a bit oddly, especially without any comments.
(0048290)
kgv (developer)
2015-11-17 15:54

Dear Anastasia,

please update the patch in accordance with Sergey remarks if problem has not been solved in scope of other patches.
(0049365)
git (administrator)
2015-12-21 15:15

Branch CR26433 has been updated forcibly by aba.

SHA-1: 3f3899ecc699633e3a5351b2c8abbc12ca16ea74
(0049368)
aba (developer)
2015-12-21 15:34

Dear kgv,

could you please review patch in the updated and rebased branch CR26433?
(0049372)
kgv (developer)
2015-12-21 16:08

Please test the patch.
(0049462)
apv (tester)
2015-12-22 16:04

Dear BugMaster,

Branch CR26433 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3f3899ecc699633e3a5351b2c8abbc12ca16ea74

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 134 (134 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89448600 / 89711291 [-0.29%]
Total CPU difference: 19300.210000000145 / 19353.80000000006 [-0.28%]

Testing on Windows:
Total MEMORY difference: 54599165 / 54607233 [-0.01%]
Total CPU difference: 17601.35882849873 / 18177.392520998823 [-3.17%]
(0052941)
git (administrator)
2016-04-17 13:46

Branch CR26433 has been deleted by kgv.

SHA-1: 3f3899ecc699633e3a5351b2c8abbc12ca16ea74

- Related Changesets
occt: master d2dfbc4d
Timestamp: 2015-07-14 14:42:27
Author: duv
Committer: bugmaster
Details ] Diff ]
0026433: AIS_Dimension may attempt to modify the state of default Drawer shading aspect
- Added checks to allow modification of only own aspects in AIS_Dimension::DrawText()
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-14 17:06 duv New Issue
2015-07-14 17:06 duv Assigned To => duv
2015-07-14 17:06 duv Status new => assigned
2015-07-14 17:42 git Note Added: 0043013
2015-07-14 17:49 duv Assigned To duv => san
2015-07-14 17:49 duv Status assigned => resolved
2015-07-14 17:49 duv Steps to Reproduce Updated View Revisions
2015-07-14 19:36 san Note Added: 0043018
2015-07-14 19:36 san Assigned To san => duv
2015-07-14 19:36 san Status resolved => assigned
2015-11-17 15:51 kgv Assigned To duv => aba
2015-11-17 15:51 kgv Product Version => 6.9.1
2015-11-17 15:54 kgv Note Added: 0048290
2015-11-17 15:54 kgv Severity minor => trivial
2015-12-21 15:15 git Note Added: 0049365
2015-12-21 15:34 aba Note Added: 0049368
2015-12-21 15:34 aba Assigned To aba => kgv
2015-12-21 15:34 aba Status assigned => resolved
2015-12-21 16:08 kgv Note Added: 0049372
2015-12-21 16:08 kgv Assigned To kgv => bugmaster
2015-12-21 16:08 kgv Status resolved => reviewed
2015-12-21 17:07 apv Assigned To bugmaster => apv
2015-12-22 15:17 apv Test case number => Not needed
2015-12-22 16:04 apv Note Added: 0049462
2015-12-22 16:04 apv Assigned To apv => bugmaster
2015-12-22 16:04 apv Status reviewed => tested
2015-12-25 19:04 bugmaster Changeset attached => occt master d2dfbc4d
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052941
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker